# Class: OneBuildRepository

## Repository~ OneBuildRepository

This class contains overrides of specific functions in AjaxRepository that are unique to OneBuild.

#### new OneBuildRepository()

  Source:
    Repository/OneBuild.js

### Extends

- AjaxRepository

### Members

#### _onChangeFilters

  Sets "conditions" param. OneBuild uses a single, multi-dimentional param for filtering. Refreshes entities.
  Source:
    Repository/OneBuild.js

#### _onChangeSorters

  Sets "order" param. OneBuild uses a single order param, rather than separate name & direction params. Refreshes entities.
  Source:
    Repository/OneBuild.js

#### login

  Login to OnBuild API
  Source:
    Repository/OneBuild.js

#### logout

  Logout from OnBuild API
  Source:
    Repository/OneBuild.js

#### Search results